package com.gzkx.commonfunction.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author ADC
 * @since 2025-03-06
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
public class BusinessSystemDTO implements Serializable {

    private String systemName;

    private String businessFunction;

    private String founder;

    private Integer businessFlag;

    @Builder.Default
    private Integer deleteFlag = 1;

    @Serial
    private static final long serialVersionUID = 1L;

}
