package com.gzkx.commonfunction.dto;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @author adc
 */
@Data
@AllArgsConstructor
public class MenuDTONew {

    private String menuId;
    private String menuName;
    private String businessId;
    private String businessName;
    private String parentId;
    private List<MenuDTONew> children;

    public MenuDTONew() {
        children = new ArrayList<>();
    }

    public void addChild(MenuDTONew child) {
        children.add(child);
    }

}
