package com.gzkx.commonfunction.dto;



import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author adc
 * @since 2025-02-26
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class OperaLogDTO extends PageDTO{


    // 操作用户的ID或名称
    private String operaUserId;

    // 日志标题，通常是从@Log注解中读取
    private String title;

    // 操作行为描述，来自@Log注解中的operatorAction属性
    private String operaAction;

    // 对应功能模块
    private String operaType;

    // 请求URL
    private String operaUrl;

    // 操作对象（请求参数），如果设置了保存请求数据的话
    private String operaObj;

    // 操作结果：成功(SUCCESS)或失败(FAIL)
    private String result;

    // 返回结果
    private String resultObject;

    // 操作时间
    private String operaTime;

    // 如果有异常发生，可以记录异常信息
    private String errorMsg;

    // 用户IP地址
    private String ip;

    //IP归属地
    private String ipHomePlace;


    private String tableName;


}
