package com.gzkx.commonfunction.dto;

import com.jcraft.jsch.Session;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author adc
 */
@Data
public class SessionWrapper {
    private Session session;
    private boolean connected;
    private String errorMessage;
    private LocalDateTime lastUpdateTime;
    
    public SessionWrapper(Session session, boolean connected) {
        this.session = session;
        this.connected = connected;
        this.lastUpdateTime = LocalDateTime.now();
    }
    
    public SessionWrapper(String errorMessage) {
        this.connected = false;
        this.errorMessage = errorMessage;
        this.lastUpdateTime = LocalDateTime.now();
    }
}