package com.gzkx.commonfunction.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @author adc
 * @TableName business_system  业务系统表
 */
@Data
public class BusinessSystem implements Serializable {

    private String systemId;

    private String systemName;

    private String businessFunction;

    private String founder;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date createdTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date updatedTime;

    private Integer businessFlag;

    private Integer deleteFlag;

    private String keyword;

    @Serial
    private static final long serialVersionUID = 1L;
}