package com.gzkx.commonfunction.model;



import java.io.Serializable;

import java.util.Date;

import lombok.Data;

/**
* 前端应用信息表
 * @author ADC
* @TableName jkxt_frontapp_info
*/
@Data
public class JkxtFrontAppInfo implements Serializable {

    /**
    * 主键ID，唯一标识每条记录
    */
    private String id;
    /**
    * 应用IP地址
    */
    private String appIp;
    /**
    * 应用端口
    */
    private Integer appPort;
    /**
    * 应用名称
    */
    private String appName;
    /**
    * 访问地址
    */
    private String visitUrl;

    /**
     * 访问地址的请求方式
     */
    private String requestType;
    /**
    * 创建时间，默认为当前时间
    */
    private Date createTime;

    /**
     * 是否可用
     * 1 可用 0 不可用
     */
    private String status;

    /**
     * 响应时间
     */
    private String responseTime;


}
