package com.gzkx.commonfunction.model;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

/**
 * @author adc
 * @TableName user_role 用户角色中间表
 */
@Data
public class UserRole implements Serializable {

    private String userId;

    private String roleId;

    private String createdBy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date createdTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date updatedTime;

    @Serial
    private static final long serialVersionUID = 1L;
}