package com.gzkx.commonfunction.model;



import lombok.Data;

import java.io.Serializable;

import java.util.Date;

/**
* 服务信息表
 * @author adc
* @TableName jk_service_info
*/
@Data
public class JkServiceInfo implements Serializable {

    /**
    * 主键ID，唯一标识每条记录
    */
    private String id;
    /**
    * 应用名称
    */
    private String appName;
    /**
    * 服务名称
    */
    private String serviceName;
    /**
    * 服务IP
    */
    private String serviceIp;
    /**
    * 服务端口
    */
    private Integer servicePort;
    /**
    * 访问地址
    */
    private String visitUrl;

    /**
     * 访问地址的请求方式
     */
    private String requestType;

    /**
    * 创建时间，默认为当前时间
    */
    private Date createTime;

    /**
     * 响应时间
     */
    private String responseTime;

    /**
     * 是否可用
     * 1 可用 0 不可用
     */
    private String status;



}
