package com.gzkx.commonfunction.model;



import java.io.Serializable;

import java.util.Date;
import lombok.Data;

/**
* 服务器信息表
 * @author adc
* @TableName jkxt_server_info
*/
@Data
public class JkxtServerInfo implements Serializable {

    /**
    * 主键ID，唯一标识每条记录
    */
    private String id;
    /**
    * 服务器类型
    */
    private String serverType;
    /**
    * 服务器名称
    */
    private String serverName;
    /**
    * 服务器IP地址
    */
    private String serverIp;
    /**
    * 服务器端口号
    */
    private Integer serverPort;
    /**
    * 用户名
    */
    private String userName;
    /**
    * 密码
    */
    private String password;
    /**
    * 记录创建时间，默认为当前时间
    */
    private Date createTime;

    /**
     * 响应时间
     */
    private String responseTime;

    /**
     * 是否可用
     * 1 可用 0 不可用
     */
    private String status;


}
