package com.gzkx.commonfunction.model;

import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

// 校验结果对象
@Getter
public class ValidationResult {

    private boolean success = true;
    private final List<String> errors = new ArrayList<>();

    public void addError(String param, String message) {
        success = false;
        errors.add("参数[" + param + "]校验失败：" + message);
    }

}
