package com.gzkx.commonfunction.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
// 校验规则实体（对应数据库表结构）
public class ValidationRule {
    private String paramName;
    private boolean required;
    private String paramType;
    private String formatRule;
    private BigDecimal minValue;
    private BigDecimal maxValue;
    private String allowedValues;
}
