package com.gzkx.commonfunction.utils;

import java.io.IOException;
import java.io.RandomAccessFile;
import java.nio.MappedByteBuffer;
import java.nio.channels.FileChannel;

public class FileUtil {

    public static byte[] readLargeFile(String filePath) throws IOException {
        try (RandomAccessFile file = new RandomAccessFile(filePath, "r");
             FileChannel channel = file.getChannel()) {

            MappedByteBuffer buffer = channel.map(
                    FileChannel.MapMode.READ_ONLY, 0, channel.size()
            );
            byte[] bytes = new byte[(int) channel.size()];
            buffer.get(bytes);
            return bytes;
        }
    }

}
